gnutls_subject_alt_names_set(3)

NAME
gnutls_subject_alt_names_set - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_subject_alt_names_set(gnutls_subject_alt_names_t sans, unsigned int san_type, const gnutls_datum_t * san, const char * othername_oid);

ARGUMENTS

gnutls_subject_alt_names_t sans
    The alternative names structure

unsigned int san_type
    The type of the name (of gnutls_subject_alt_names_t)

const gnutls_datum_t * san
    The alternative name data

const char * othername_oid
    The object identifier if san_type is GNUTLS_SAN_OTHERNAME

DESCRIPTION
This function will store the specified alternative name in the sans structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0), otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/